sqlr-connection(8)

NAME
sqlr-connection-postgresql - Setting up a connection to PostgreSQL server
sqlr-connection-mysql - Setting up a connection to MySQL server
sqlr-connection-odbc - Setting up an ODBC connection
sqlr-connection-freetds - Setting up a connection to MS-SQL or Sybase server via freetds
sqlr-connection-sqlite - Setting up a connection to an SQLite database

SYNOPSIS
sqlr-connection-"database" [-id ID] [-config CONFIGFILE] [-connectionid ONNECTIONID]

DESCRIPTION
To estabish a connection, run one of the sqlr-connection-"database" daemons. Where "database" is one of mysql, postgresql, odbc, freetds.

OPTIONS
CONFIGFILE is the configuration file to use when starting the daemon. The default configuration file is /etc/sqlrelay/sqlrelay.conf. ID is just an identifier. Starting multiple connections with the same ID make them available as a pool of connections. The more connections you start, the more queries can be executed in parallel. In addition, the ID argument specifies which config file entry to use. CONNECTIONID is another identifier. When using replicated or clustered databases, within a pool of connections, some connections will connected to 1 machine and some will connect to another. This argument tells the connection daemon which machine to connect to. When not using clustered or replicated databases, this id will be the same for every connection in the pool.

FILES
/etc/sqlrelay/sqlrelay.conf

AUTHOR
This manual page was written by Andreas Tille <tille@debian.org>, for the Debian GNU/Linux system (but may be used by others).